Subject: RE: bug#36494: 27.0.50; [Proposition] New option to scroll up regardless of eob

From: Drew Adams <[email-masked]>
Date: Thu, 4 Jul 2019 08:50:54 -0700 (PDT)

> How about if we bind S-DOWN and S-UP to commands that scroll to EOB
> without introducing any new option?  That would mimic pages like Less
> which stop at EOB with an unshifted key, but continue scrolling with a
> shifted key.

Yes.  Some of us have been doing that individually (and not
using `scroll-lock-mode').

E.g.:
(global-set-key [S-down] (lambda () (interactive) (scroll-up   1)))
(global-set-key [S-up]   (lambda () (interactive) (scroll-down 1)))

(But named functions are better than anonymous ones, for key binding.
And yes, it would be good to let a numeric prefix arg scroll that
many lines.)